ru.bitel.oss.systems.inventory.resource.common.bean

## Class IpResourceRange

- java.lang.Object
- - ru.bitel.common.inet.IpRange
  - - ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceRange

- All Implemented Interfaces:
    IpResourceInstance, Resource

      public class IpResourceRange
      extends IpRange
      implements IpResourceInstance, Resource

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.inet.IpRange

      `addressFrom, addressTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IpResourceRange()`
    `IpResourceRange(int ipResourceId, byte[] addressFrom, byte[] addressTo)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIpResourceId()`
    `static void` | `newIpRangeList(IpResource resource, java.util.List<IpResourceSubscription> subscriptionList, int range, int max, java.util.List<IpResourceRange> result)` Разделение ресурса на свободные диапазоны указанного размера.
    `void` | `setIpResourceId(int ipResourceId)`

    - ### Methods inherited from class ru.bitel.common.inet.IpRange

      `getAddressFrom, getAddressTo, inRange, intersects, newInstance, newInstance, newInstance, setAddressFrom, setAddressTo, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.bean.IpResourceInstance

      `toString`

- - ### Constructor Detail

    - #### IpResourceRange

          public IpResourceRange()

    - #### IpResourceRange

          public IpResourceRange(int ipResourceId,
                                 byte[] addressFrom,
                                 byte[] addressTo)

  - ### Method Detail

    - #### getIpResourceId

          public int getIpResourceId()

      Specified by:
        `getIpResourceId` in interface `IpResourceInstance`

    - #### setIpResourceId

          public void setIpResourceId(int ipResourceId)

      Specified by:
        `setIpResourceId` in interface `IpResourceInstance`

    - #### newIpRangeList

          public static void newIpRangeList(IpResource resource,
                                            java.util.List<IpResourceSubscription> subscriptionList,
                                            int range,
                                            int max,
                                            java.util.List<IpResourceRange> result)

      Разделение ресурса на свободные диапазоны указанного размера.
      Parameters:
        `resource` -
        `subscriptionList` -
        `range` -
        `max` -